import java.awt.*;
import java.net.*;
import javax.swing.*;

public class GenericReportWriterForms extends JFrame
{
 
  // Instance variables
  public JTabbedPane tabbedPane;
  public JPanel connectionPanel;
  public JButton connectionPanelConnectBtn;
  public JTextField connectionPanelURLTxt;
  public JTextField connectionPanelUserTxt;
  public JPasswordField connectionPanelPasswordTxt;
  public JTextField connectionPanelDriverClassTxt;
  public JLabel jlabel1;
  public JLabel jlabel2;
  public JLabel jlabel3;
  public JLabel jlabel4;
  public JPanel reportsPanel;
  public JScrollPane reportsPanelReportsScrollPane;
  public JButton reportsPanelDeleteBtn;
  public JButton reportsPanelModifyBtn;
  public JButton reportsPanelNewBtn;
  public JButton reportsPanelRunBtn;
  public JButton reportsPanelQuitBtn;
  public JPanel tablesPanel;
  public JScrollPane tablesPanelTablesScrollPane;
  public JButton tablesPanelStartOverBtn;
  public JButton tablesPanelSelectBtn;
  public JButton tablesPanelQuitBtn;
  public JPanel fieldsPanel;
  public JScrollPane fieldsPanelFieldsScrollPane;
  public JScrollPane fieldsPanelSelectedScrollPane;
  public JButton fieldsPanelQuitBtn;
  public JButton fieldsPanelStartOverBtn;
  public JButton fieldsPanelRightArrowBtn;
  public JButton fieldsPanelLeftArrowBtn;
  public JLabel jlabel0;
  public JLabel jlabel8;
  public JPanel sortbyPanel;
  public JScrollPane sortbyPanelFieldsScrollPane;
  public JButton sortbyPanelStartOverBtn;
  public JButton sortbyPanelQuitBtn;
  public JScrollPane sortbyPanelSortedScrollPane;
  public JButton sortbyPanelRightArrowBtn;
  public JButton sortbyPanelLeftArrowBtn;
  public JLabel jlabel9;
  public JLabel jlabel10;
  public JPanel groupbyPanel;
  public JScrollPane groupbyPanelFieldsScrollPane;
  public JScrollPane groupbyPanelGroupsScrollPane;
  public JButton groupbyPanelRightArrowBtn;
  public JButton groupbyPanelLeftArrowBtn;
  public JButton groupbyPanelStartOverBtn;
  public JButton groupbyPanelQuitBtn;
  public JLabel jlabel11;
  public JLabel jlabel12;
  public JPanel totalsPanel;
  public JScrollPane totalsPanelGroupsScrollPane;
  public JScrollPane totalsPanelTotalsScrollPane;
  public JButton totalsPanelStartOverBtn;
  public JButton totalsPanelQuitBtn;
  public JLabel jlabel13;
  public JLabel jlabel14;
  public JPanel formatPanel;
  public JScrollPane formatPanelScrollPane;
  public JButton formatPanelStartOverBtn;
  public JButton formatPanelQuitBtn;
  public JPanel headingsPanel;
  public JButton headingsPanelStartOverBtn;
  public JButton headingsPanelQuitBtn;
  public JScrollPane headingsPanelScrollPane;
  public JPanel generatePanel;
  public JRadioButton jradiobutton0;
  public JButton generatePanelViewBtn;
  public JButton generatePanelDownloadBtn;
  public JButton generatePanelSaveBtn;
  public JButton generatePanelQuitBtn;
  public JTextField linesPerPage;
  public JPasswordField jpasswordfield0;
  public JLabel jlabel5;
  public JButton generatePanelSaveAsBtn;
  public JLabel jlabel6;
  public JLabel jlabel7;
  public JTextField generatePanelSaveAsTextField;
  public JButton generatePanelStartOverBtn;
  public JLabel generatePanelWorkingLabel;
  public JPanel viewPanel;
  public JScrollPane viewPanelScrollPane;

  public GenericReportWriterForms()
  {

    // Setup GUI

    this.setBounds(0,0,600,400);
  
    Container thisContent = this.getContentPane();
    this.setBounds(0,0,600,400);
    this.setFont(new java.awt.Font("dialog", 0, 12));
    this.setTitle("GenericReportWriter");
    this.setName("this");
  
    tabbedPane = new JTabbedPane();
    tabbedPane.setPreferredSize(new Dimension(15,41));
    tabbedPane.setMinimumSize(new Dimension(15,41));
    tabbedPane.setName("tabbedPane");
    tabbedPane.setTabPlacement(1);
  
    connectionPanel = new JPanel();
    connectionPanel.setPreferredSize(new Dimension(1,1));
    connectionPanel.setMinimumSize(new Dimension(1,1));
    connectionPanel.setName("connectionPanel");
    connectionPanel.setLayout(null);
  
    connectionPanelConnectBtn = new JButton();
    connectionPanelConnectBtn.setLocation(new Point(250,269));
    connectionPanelConnectBtn.setSize(new Dimension(100,25));
    connectionPanelConnectBtn.setPreferredSize(new Dimension(79,27));
    connectionPanelConnectBtn.setMaximumSize(new Dimension(79,27));
    connectionPanelConnectBtn.setBounds(new Rectangle(250,269,100,25));
    connectionPanelConnectBtn.setText("Connect");
    connectionPanelConnectBtn.setName("connectionPanelConnectBtn");
    connectionPanelConnectBtn.setActionCommand("connectionPanelConnectBtn");
    connectionPanelConnectBtn.setMinimumSize(new Dimension(79,27));
    connectionPanel.add(connectionPanelConnectBtn);
  
    connectionPanelURLTxt = new JTextField();
    connectionPanelURLTxt.setLocation(new Point(200,110));
    connectionPanelURLTxt.setSize(new Dimension(300,25));
    connectionPanelURLTxt.setBounds(new Rectangle(200,110,300,25));
    connectionPanelURLTxt.setName("connectionPanelURLTxt");
    connectionPanelURLTxt.setLayout(null);
    connectionPanel.add(connectionPanelURLTxt);
  
    connectionPanelUserTxt = new JTextField();
    connectionPanelUserTxt.setLocation(new Point(200,160));
    connectionPanelUserTxt.setSize(new Dimension(200,25));
    connectionPanelUserTxt.setBounds(new Rectangle(200,160,200,25));
    connectionPanelUserTxt.setName("connectionPanelUserTxt");
    connectionPanelUserTxt.setLayout(null);
    connectionPanel.add(connectionPanelUserTxt);
  
    connectionPanelPasswordTxt = new JPasswordField();
    connectionPanelPasswordTxt.setLocation(new Point(200,211));
    connectionPanelPasswordTxt.setSize(new Dimension(200,25));
    connectionPanelPasswordTxt.setSelectionEnd(15);
    connectionPanelPasswordTxt.setPreferredSize(new Dimension(109,21));
    connectionPanelPasswordTxt.setBounds(new Rectangle(200,211,200,25));
    connectionPanelPasswordTxt.setText("jpasswordfield0");
    connectionPanelPasswordTxt.setName("connectionPanelPasswordTxt");
    connectionPanelPasswordTxt.setSelectionStart(15);
    connectionPanelPasswordTxt.setLayout(null);
    connectionPanel.add(connectionPanelPasswordTxt);
  
    connectionPanelDriverClassTxt = new JTextField();
    connectionPanelDriverClassTxt.setLocation(new Point(200,56));
    connectionPanelDriverClassTxt.setSize(new Dimension(300,25));
    connectionPanelDriverClassTxt.setBounds(new Rectangle(200,56,300,25));
    connectionPanelDriverClassTxt.setName("connectionPanelDriverClassTxt");
    connectionPanelDriverClassTxt.setLayout(null);
    connectionPanel.add(connectionPanelDriverClassTxt);
  
    jlabel1 = new JLabel();
    jlabel1.setSize(new Dimension(100,25));
    jlabel1.setPreferredSize(new Dimension(26,17));
    jlabel1.setMaximumSize(new Dimension(26,17));
    jlabel1.setMinimumSize(new Dimension(26,17));
    jlabel1.setBounds(new Rectangle(100,56,100,25));
    jlabel1.setText("Driver");
    jlabel1.setLocation(new Point(100,56));
    jlabel1.setName("jlabel1");
    jlabel1.setLayout(null);
    connectionPanel.add(jlabel1);
  
    jlabel2 = new JLabel();
    jlabel2.setSize(new Dimension(100,25));
    jlabel2.setPreferredSize(new Dimension(54,17));
    jlabel2.setMaximumSize(new Dimension(54,17));
    jlabel2.setMinimumSize(new Dimension(54,17));
    jlabel2.setBounds(new Rectangle(100,110,100,25));
    jlabel2.setText("URL");
    jlabel2.setLocation(new Point(100,110));
    jlabel2.setName("jlabel2");
    jlabel2.setLayout(null);
    connectionPanel.add(jlabel2);
  
    jlabel3 = new JLabel();
    jlabel3.setSize(new Dimension(100,25));
    jlabel3.setPreferredSize(new Dimension(27,17));
    jlabel3.setMaximumSize(new Dimension(27,17));
    jlabel3.setMinimumSize(new Dimension(27,17));
    jlabel3.setBounds(new Rectangle(100,160,100,25));
    jlabel3.setText("User");
    jlabel3.setLocation(new Point(100,160));
    jlabel3.setName("jlabel3");
    jlabel3.setLayout(null);
    connectionPanel.add(jlabel3);
  
    jlabel4 = new JLabel();
    jlabel4.setSize(new Dimension(100,25));
    jlabel4.setPreferredSize(new Dimension(56,17));
    jlabel4.setMaximumSize(new Dimension(56,17));
    jlabel4.setMinimumSize(new Dimension(56,17));
    jlabel4.setBounds(new Rectangle(100,209,100,25));
    jlabel4.setText("Password");
    jlabel4.setLocation(new Point(100,209));
    jlabel4.setName("jlabel4");
    jlabel4.setLayout(null);
    connectionPanel.add(jlabel4);
    
    tabbedPane.addTab("Connect", connectionPanel);
    tabbedPane.setEnabledAt(0, true);
    tabbedPane.setForegroundAt(0, new Color(0,0,0));
    tabbedPane.setBackgroundAt(0, new Color(192,192,192));
  
    reportsPanel = new JPanel();
    reportsPanel.setVisible(false);
    reportsPanel.setPreferredSize(new Dimension(1,1));
    reportsPanel.setMinimumSize(new Dimension(1,1));
    reportsPanel.setName("reportsPanel");
    reportsPanel.setLayout(null);
  
    reportsPanelReportsScrollPane = new JScrollPane();
    reportsPanelReportsScrollPane.setSize(new Dimension(250,250));
    reportsPanelReportsScrollPane.setBounds(new Rectangle(157,10,250,250));
    reportsPanelReportsScrollPane.setLocation(new Point(157,10));
    reportsPanelReportsScrollPane.setName("reportsPanelReportsScrollPane");
    reportsPanelReportsScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    reportsPanelReportsScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    reportsPanel.add(reportsPanelReportsScrollPane);
  
    reportsPanelDeleteBtn = new JButton();
    reportsPanelDeleteBtn.setLocation(new Point(25,284));
    reportsPanelDeleteBtn.setSize(new Dimension(100,25));
    reportsPanelDeleteBtn.setPreferredSize(new Dimension(71,27));
    reportsPanelDeleteBtn.setMaximumSize(new Dimension(71,27));
    reportsPanelDeleteBtn.setBounds(new Rectangle(25,284,100,25));
    reportsPanelDeleteBtn.setText("Delete");
    reportsPanelDeleteBtn.setName("reportsPanelDeleteBtn");
    reportsPanelDeleteBtn.setActionCommand("reportsPanelDeleteBtn");
    reportsPanelDeleteBtn.setMinimumSize(new Dimension(71,27));
    reportsPanel.add(reportsPanelDeleteBtn);
  
    reportsPanelModifyBtn = new JButton();
    reportsPanelModifyBtn.setLocation(new Point(134,284));
    reportsPanelModifyBtn.setSize(new Dimension(100,25));
    reportsPanelModifyBtn.setPreferredSize(new Dimension(69,27));
    reportsPanelModifyBtn.setMaximumSize(new Dimension(69,27));
    reportsPanelModifyBtn.setBounds(new Rectangle(134,284,100,25));
    reportsPanelModifyBtn.setText("Modify");
    reportsPanelModifyBtn.setName("reportsPanelModifyBtn");
    reportsPanelModifyBtn.setActionCommand("reportsPanelModifyBtn");
    reportsPanelModifyBtn.setMinimumSize(new Dimension(69,27));
    reportsPanel.add(reportsPanelModifyBtn);
  
    reportsPanelNewBtn = new JButton();
    reportsPanelNewBtn.setLocation(new Point(244,284));
    reportsPanelNewBtn.setSize(new Dimension(100,25));
    reportsPanelNewBtn.setPreferredSize(new Dimension(59,27));
    reportsPanelNewBtn.setMaximumSize(new Dimension(59,27));
    reportsPanelNewBtn.setBounds(new Rectangle(244,284,100,25));
    reportsPanelNewBtn.setText("New");
    reportsPanelNewBtn.setName("reportsPanelNewBtn");
    reportsPanelNewBtn.setActionCommand("reportsPanelNewBtn");
    reportsPanelNewBtn.setMinimumSize(new Dimension(59,27));
    reportsPanel.add(reportsPanelNewBtn);
  
    reportsPanelRunBtn = new JButton();
    reportsPanelRunBtn.setLocation(new Point(360,284));
    reportsPanelRunBtn.setSize(new Dimension(100,25));
    reportsPanelRunBtn.setPreferredSize(new Dimension(57,27));
    reportsPanelRunBtn.setMaximumSize(new Dimension(57,27));
    reportsPanelRunBtn.setBounds(new Rectangle(360,284,100,25));
    reportsPanelRunBtn.setText("Run");
    reportsPanelRunBtn.setName("reportsPanelRunBtn");
    reportsPanelRunBtn.setActionCommand("reportsPanelRunBtn");
    reportsPanelRunBtn.setMinimumSize(new Dimension(57,27));
    reportsPanel.add(reportsPanelRunBtn);
  
    reportsPanelQuitBtn = new JButton();
    reportsPanelQuitBtn.setLocation(new Point(472,284));
    reportsPanelQuitBtn.setSize(new Dimension(100,25));
    reportsPanelQuitBtn.setPreferredSize(new Dimension(57,27));
    reportsPanelQuitBtn.setMaximumSize(new Dimension(57,27));
    reportsPanelQuitBtn.setBounds(new Rectangle(472,284,100,25));
    reportsPanelQuitBtn.setText("Quit");
    reportsPanelQuitBtn.setName("reportsPanelQuitBtn");
    reportsPanelQuitBtn.setActionCommand("reportsPanelQuitBtn");
    reportsPanelQuitBtn.setMinimumSize(new Dimension(57,27));
    reportsPanel.add(reportsPanelQuitBtn);
    
    tabbedPane.addTab("Reports", reportsPanel);
    tabbedPane.setEnabledAt(1, true);
    tabbedPane.setForegroundAt(1, new Color(0,0,0));
    tabbedPane.setBackgroundAt(1, new Color(192,192,192));
  
    tablesPanel = new JPanel();
    tablesPanel.setVisible(false);
    tablesPanel.setPreferredSize(new Dimension(1,1));
    tablesPanel.setMinimumSize(new Dimension(1,1));
    tablesPanel.setName("tablesPanel");
    tablesPanel.setLayout(null);
  
    tablesPanelTablesScrollPane = new JScrollPane();
    tablesPanelTablesScrollPane.setSize(new Dimension(250,250));
    tablesPanelTablesScrollPane.setBounds(new Rectangle(157,10,250,250));
    tablesPanelTablesScrollPane.setLocation(new Point(157,10));
    tablesPanelTablesScrollPane.setName("tablesPanelTablesScrollPane");
    tablesPanelTablesScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    tablesPanelTablesScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    tablesPanel.add(tablesPanelTablesScrollPane);
  
    tablesPanelStartOverBtn = new JButton();
    tablesPanelStartOverBtn.setLocation(new Point(84,286));
    tablesPanelStartOverBtn.setSize(new Dimension(100,25));
    tablesPanelStartOverBtn.setPreferredSize(new Dimension(87,27));
    tablesPanelStartOverBtn.setMaximumSize(new Dimension(87,27));
    tablesPanelStartOverBtn.setBounds(new Rectangle(84,286,100,25));
    tablesPanelStartOverBtn.setText("Start Over");
    tablesPanelStartOverBtn.setName("tablesPanelStartOverBtn");
    tablesPanelStartOverBtn.setActionCommand("tablesPanelStartOverBtn");
    tablesPanelStartOverBtn.setMinimumSize(new Dimension(87,27));
    tablesPanel.add(tablesPanelStartOverBtn);
  
    tablesPanelSelectBtn = new JButton();
    tablesPanelSelectBtn.setLocation(new Point(228,285));
    tablesPanelSelectBtn.setSize(new Dimension(100,25));
    tablesPanelSelectBtn.setPreferredSize(new Dimension(69,27));
    tablesPanelSelectBtn.setMaximumSize(new Dimension(69,27));
    tablesPanelSelectBtn.setBounds(new Rectangle(228,285,100,25));
    tablesPanelSelectBtn.setText("Select");
    tablesPanelSelectBtn.setName("tablesPanelSelectBtn");
    tablesPanelSelectBtn.setActionCommand("tablesPanelSelectBtn");
    tablesPanelSelectBtn.setMinimumSize(new Dimension(69,27));
    tablesPanel.add(tablesPanelSelectBtn);
  
    tablesPanelQuitBtn = new JButton();
    tablesPanelQuitBtn.setLocation(new Point(360,286));
    tablesPanelQuitBtn.setSize(new Dimension(100,25));
    tablesPanelQuitBtn.setPreferredSize(new Dimension(57,27));
    tablesPanelQuitBtn.setMaximumSize(new Dimension(57,27));
    tablesPanelQuitBtn.setBounds(new Rectangle(360,286,100,25));
    tablesPanelQuitBtn.setText("Quit");
    tablesPanelQuitBtn.setName("tablesPanelQuitBtn");
    tablesPanelQuitBtn.setActionCommand("tablesPanelQuitBtn");
    tablesPanelQuitBtn.setMinimumSize(new Dimension(57,27));
    tablesPanel.add(tablesPanelQuitBtn);
    
    tabbedPane.addTab("Tables", tablesPanel);
    tabbedPane.setEnabledAt(2, true);
    tabbedPane.setForegroundAt(2, new Color(0,0,0));
    tabbedPane.setBackgroundAt(2, new Color(192,192,192));
  
    fieldsPanel = new JPanel();
    fieldsPanel.setVisible(false);
    fieldsPanel.setPreferredSize(new Dimension(1,1));
    fieldsPanel.setMinimumSize(new Dimension(1,1));
    fieldsPanel.setName("fieldsPanel");
    fieldsPanel.setLayout(null);
  
    fieldsPanelFieldsScrollPane = new JScrollPane();
    fieldsPanelFieldsScrollPane.setSize(new Dimension(200,200));
    fieldsPanelFieldsScrollPane.setBounds(new Rectangle(15,35,200,200));
    fieldsPanelFieldsScrollPane.setLocation(new Point(15,35));
    fieldsPanelFieldsScrollPane.setName("fieldsPanelFieldsScrollPane");
    fieldsPanelFieldsScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    fieldsPanelFieldsScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    fieldsPanel.add(fieldsPanelFieldsScrollPane);
  
    fieldsPanelSelectedScrollPane = new JScrollPane();
    fieldsPanelSelectedScrollPane.setSize(new Dimension(200,200));
    fieldsPanelSelectedScrollPane.setBounds(new Rectangle(370,35,200,200));
    fieldsPanelSelectedScrollPane.setLocation(new Point(370,35));
    fieldsPanelSelectedScrollPane.setName("fieldsPanelSelectedScrollPane");
    fieldsPanelSelectedScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    fieldsPanelSelectedScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    fieldsPanel.add(fieldsPanelSelectedScrollPane);
  
    fieldsPanelQuitBtn = new JButton();
    fieldsPanelQuitBtn.setLocation(new Point(312,262));
    fieldsPanelQuitBtn.setSize(new Dimension(100,25));
    fieldsPanelQuitBtn.setPreferredSize(new Dimension(79,27));
    fieldsPanelQuitBtn.setMaximumSize(new Dimension(79,27));
    fieldsPanelQuitBtn.setBounds(new Rectangle(312,262,100,25));
    fieldsPanelQuitBtn.setText("Quit");
    fieldsPanelQuitBtn.setName("fieldsPanelQuitBtn");
    fieldsPanelQuitBtn.setActionCommand("fieldsPanelQuitBtn");
    fieldsPanelQuitBtn.setMinimumSize(new Dimension(79,27));
    fieldsPanel.add(fieldsPanelQuitBtn);
  
    fieldsPanelStartOverBtn = new JButton();
    fieldsPanelStartOverBtn.setLocation(new Point(186,262));
    fieldsPanelStartOverBtn.setSize(new Dimension(100,25));
    fieldsPanelStartOverBtn.setPreferredSize(new Dimension(79,27));
    fieldsPanelStartOverBtn.setMaximumSize(new Dimension(79,27));
    fieldsPanelStartOverBtn.setBounds(new Rectangle(186,262,100,25));
    fieldsPanelStartOverBtn.setText("Start Over");
    fieldsPanelStartOverBtn.setName("fieldsPanelStartOverBtn");
    fieldsPanelStartOverBtn.setActionCommand("fieldsPanelStartOverBtn");
    fieldsPanelStartOverBtn.setMinimumSize(new Dimension(79,27));
    fieldsPanel.add(fieldsPanelStartOverBtn);
  
    fieldsPanelRightArrowBtn = new JButton();
    fieldsPanelRightArrowBtn.setLocation(new Point(245,70));
    fieldsPanelRightArrowBtn.setSize(new Dimension(100,50));
    fieldsPanelRightArrowBtn.setPreferredSize(new Dimension(79,27));
    fieldsPanelRightArrowBtn.setMaximumSize(new Dimension(79,27));
    fieldsPanelRightArrowBtn.setBounds(new Rectangle(245,70,100,50));
    fieldsPanelRightArrowBtn.setText("------------>");
    fieldsPanelRightArrowBtn.setName("fieldsPanelRightArrowBtn");
    fieldsPanelRightArrowBtn.setActionCommand("fieldsPanelRightArrowBtn");
    fieldsPanelRightArrowBtn.setMinimumSize(new Dimension(79,27));
    fieldsPanel.add(fieldsPanelRightArrowBtn);
  
    fieldsPanelLeftArrowBtn = new JButton();
    fieldsPanelLeftArrowBtn.setLocation(new Point(245,150));
    fieldsPanelLeftArrowBtn.setSize(new Dimension(100,50));
    fieldsPanelLeftArrowBtn.setPreferredSize(new Dimension(79,27));
    fieldsPanelLeftArrowBtn.setMaximumSize(new Dimension(79,27));
    fieldsPanelLeftArrowBtn.setBounds(new Rectangle(245,150,100,50));
    fieldsPanelLeftArrowBtn.setText("<------------");
    fieldsPanelLeftArrowBtn.setName("fieldsPanelLeftArrowBtn");
    fieldsPanelLeftArrowBtn.setActionCommand("fieldsPanelLeftArrowBtn");
    fieldsPanelLeftArrowBtn.setMinimumSize(new Dimension(79,27));
    fieldsPanel.add(fieldsPanelLeftArrowBtn);
  
    jlabel0 = new JLabel();
    jlabel0.setSize(new Dimension(100,25));
    jlabel0.setPreferredSize(new Dimension(77,17));
    jlabel0.setMaximumSize(new Dimension(77,17));
    jlabel0.setMinimumSize(new Dimension(77,17));
    jlabel0.setBounds(new Rectangle(70,15,100,25));
    jlabel0.setText("Fields in table");
    jlabel0.setLocation(new Point(70,15));
    jlabel0.setName("jlabel0");
    jlabel0.setLayout(null);
    fieldsPanel.add(jlabel0);
  
    jlabel8 = new JLabel();
    jlabel8.setSize(new Dimension(150,25));
    jlabel8.setPreferredSize(new Dimension(88,17));
    jlabel8.setMaximumSize(new Dimension(88,17));
    jlabel8.setMinimumSize(new Dimension(88,17));
    jlabel8.setBounds(new Rectangle(420,15,150,25));
    jlabel8.setText("Include in report");
    jlabel8.setLocation(new Point(420,15));
    jlabel8.setName("jlabel8");
    jlabel8.setLayout(null);
    fieldsPanel.add(jlabel8);
    
    tabbedPane.addTab("Fields", fieldsPanel);
    tabbedPane.setEnabledAt(3, true);
    tabbedPane.setForegroundAt(3, new Color(0,0,0));
    tabbedPane.setBackgroundAt(3, new Color(192,192,192));
  
    sortbyPanel = new JPanel();
    sortbyPanel.setVisible(false);
    sortbyPanel.setPreferredSize(new Dimension(1,1));
    sortbyPanel.setMinimumSize(new Dimension(1,1));
    sortbyPanel.setName("sortbyPanel");
    sortbyPanel.setLayout(null);
  
    sortbyPanelFieldsScrollPane = new JScrollPane();
    sortbyPanelFieldsScrollPane.setSize(new Dimension(200,200));
    sortbyPanelFieldsScrollPane.setBounds(new Rectangle(15,35,200,200));
    sortbyPanelFieldsScrollPane.setLocation(new Point(15,35));
    sortbyPanelFieldsScrollPane.setName("sortbyPanelFieldsScrollPane");
    sortbyPanelFieldsScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    sortbyPanelFieldsScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    sortbyPanel.add(sortbyPanelFieldsScrollPane);
  
    sortbyPanelStartOverBtn = new JButton();
    sortbyPanelStartOverBtn.setLocation(new Point(186,262));
    sortbyPanelStartOverBtn.setSize(new Dimension(100,25));
    sortbyPanelStartOverBtn.setPreferredSize(new Dimension(87,27));
    sortbyPanelStartOverBtn.setMaximumSize(new Dimension(87,27));
    sortbyPanelStartOverBtn.setBounds(new Rectangle(186,262,100,25));
    sortbyPanelStartOverBtn.setText("Start Over");
    sortbyPanelStartOverBtn.setName("sortbyPanelStartOverBtn");
    sortbyPanelStartOverBtn.setActionCommand("S");
    sortbyPanelStartOverBtn.setMinimumSize(new Dimension(87,27));
    sortbyPanel.add(sortbyPanelStartOverBtn);
  
    sortbyPanelQuitBtn = new JButton();
    sortbyPanelQuitBtn.setLocation(new Point(312,262));
    sortbyPanelQuitBtn.setSize(new Dimension(100,25));
    sortbyPanelQuitBtn.setPreferredSize(new Dimension(57,27));
    sortbyPanelQuitBtn.setMaximumSize(new Dimension(57,27));
    sortbyPanelQuitBtn.setBounds(new Rectangle(312,262,100,25));
    sortbyPanelQuitBtn.setText("Quit");
    sortbyPanelQuitBtn.setName("sortbyPanelQuitBtn");
    sortbyPanelQuitBtn.setActionCommand("Q");
    sortbyPanelQuitBtn.setMinimumSize(new Dimension(57,27));
    sortbyPanel.add(sortbyPanelQuitBtn);
  
    sortbyPanelSortedScrollPane = new JScrollPane();
    sortbyPanelSortedScrollPane.setSize(new Dimension(200,200));
    sortbyPanelSortedScrollPane.setBounds(new Rectangle(370,35,200,200));
    sortbyPanelSortedScrollPane.setLocation(new Point(370,35));
    sortbyPanelSortedScrollPane.setName("sortbyPanelSortedScrollPane");
    sortbyPanelSortedScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    sortbyPanelSortedScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    sortbyPanel.add(sortbyPanelSortedScrollPane);
  
    sortbyPanelRightArrowBtn = new JButton();
    sortbyPanelRightArrowBtn.setLocation(new Point(245,70));
    sortbyPanelRightArrowBtn.setSize(new Dimension(100,50));
    sortbyPanelRightArrowBtn.setPreferredSize(new Dimension(89,27));
    sortbyPanelRightArrowBtn.setMaximumSize(new Dimension(89,27));
    sortbyPanelRightArrowBtn.setBounds(new Rectangle(245,70,100,50));
    sortbyPanelRightArrowBtn.setText("------------>");
    sortbyPanelRightArrowBtn.setName("sortbyPanelRightArrowBtn");
    sortbyPanelRightArrowBtn.setActionCommand("-");
    sortbyPanelRightArrowBtn.setMinimumSize(new Dimension(89,27));
    sortbyPanel.add(sortbyPanelRightArrowBtn);
  
    sortbyPanelLeftArrowBtn = new JButton();
    sortbyPanelLeftArrowBtn.setLocation(new Point(245,150));
    sortbyPanelLeftArrowBtn.setSize(new Dimension(100,50));
    sortbyPanelLeftArrowBtn.setPreferredSize(new Dimension(89,27));
    sortbyPanelLeftArrowBtn.setMaximumSize(new Dimension(89,27));
    sortbyPanelLeftArrowBtn.setBounds(new Rectangle(245,150,100,50));
    sortbyPanelLeftArrowBtn.setText("<------------");
    sortbyPanelLeftArrowBtn.setName("sortbyPanelLeftArrowBtn");
    sortbyPanelLeftArrowBtn.setActionCommand("-");
    sortbyPanelLeftArrowBtn.setMinimumSize(new Dimension(89,27));
    sortbyPanel.add(sortbyPanelLeftArrowBtn);
  
    jlabel9 = new JLabel();
    jlabel9.setSize(new Dimension(150,25));
    jlabel9.setPreferredSize(new Dimension(82,17));
    jlabel9.setMaximumSize(new Dimension(82,17));
    jlabel9.setMinimumSize(new Dimension(82,17));
    jlabel9.setBounds(new Rectangle(70,15,150,25));
    jlabel9.setText("Fields in report");
    jlabel9.setLocation(new Point(70,15));
    jlabel9.setName("jlabel9");
    jlabel9.setLayout(null);
    sortbyPanel.add(jlabel9);
  
    jlabel10 = new JLabel();
    jlabel10.setSize(new Dimension(100,25));
    jlabel10.setPreferredSize(new Dimension(37,17));
    jlabel10.setMaximumSize(new Dimension(37,17));
    jlabel10.setMinimumSize(new Dimension(37,17));
    jlabel10.setBounds(new Rectangle(440,15,100,25));
    jlabel10.setText("Sort by");
    jlabel10.setLocation(new Point(440,15));
    jlabel10.setName("jlabel10");
    jlabel10.setLayout(null);
    sortbyPanel.add(jlabel10);
    
    tabbedPane.addTab("Sort By", sortbyPanel);
    tabbedPane.setEnabledAt(4, true);
    tabbedPane.setForegroundAt(4, new Color(0,0,0));
    tabbedPane.setBackgroundAt(4, new Color(192,192,192));
  
    groupbyPanel = new JPanel();
    groupbyPanel.setVisible(false);
    groupbyPanel.setPreferredSize(new Dimension(1,1));
    groupbyPanel.setMinimumSize(new Dimension(1,1));
    groupbyPanel.setName("groupbyPanel");
    groupbyPanel.setLayout(null);
  
    groupbyPanelFieldsScrollPane = new JScrollPane();
    groupbyPanelFieldsScrollPane.setSize(new Dimension(200,200));
    groupbyPanelFieldsScrollPane.setBounds(new Rectangle(15,35,200,200));
    groupbyPanelFieldsScrollPane.setLocation(new Point(15,35));
    groupbyPanelFieldsScrollPane.setName("groupbyPanelFieldsScrollPane");
    groupbyPanelFieldsScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    groupbyPanelFieldsScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    groupbyPanel.add(groupbyPanelFieldsScrollPane);
  
    groupbyPanelGroupsScrollPane = new JScrollPane();
    groupbyPanelGroupsScrollPane.setSize(new Dimension(200,200));
    groupbyPanelGroupsScrollPane.setBounds(new Rectangle(370,35,200,200));
    groupbyPanelGroupsScrollPane.setLocation(new Point(370,35));
    groupbyPanelGroupsScrollPane.setName("groupbyPanelGroupsScrollPane");
    groupbyPanelGroupsScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    groupbyPanelGroupsScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    groupbyPanel.add(groupbyPanelGroupsScrollPane);
  
    groupbyPanelRightArrowBtn = new JButton();
    groupbyPanelRightArrowBtn.setLocation(new Point(245,70));
    groupbyPanelRightArrowBtn.setSize(new Dimension(100,50));
    groupbyPanelRightArrowBtn.setPreferredSize(new Dimension(89,27));
    groupbyPanelRightArrowBtn.setMaximumSize(new Dimension(89,27));
    groupbyPanelRightArrowBtn.setBounds(new Rectangle(245,70,100,50));
    groupbyPanelRightArrowBtn.setText("------------>");
    groupbyPanelRightArrowBtn.setName("groupbyPanelRightArrowBtn");
    groupbyPanelRightArrowBtn.setActionCommand("-");
    groupbyPanelRightArrowBtn.setMinimumSize(new Dimension(89,27));
    groupbyPanel.add(groupbyPanelRightArrowBtn);
  
    groupbyPanelLeftArrowBtn = new JButton();
    groupbyPanelLeftArrowBtn.setLocation(new Point(245,150));
    groupbyPanelLeftArrowBtn.setSize(new Dimension(100,50));
    groupbyPanelLeftArrowBtn.setPreferredSize(new Dimension(89,27));
    groupbyPanelLeftArrowBtn.setMaximumSize(new Dimension(89,27));
    groupbyPanelLeftArrowBtn.setBounds(new Rectangle(245,150,100,50));
    groupbyPanelLeftArrowBtn.setText("<------------");
    groupbyPanelLeftArrowBtn.setName("groupbyPanelLeftArrowBtn");
    groupbyPanelLeftArrowBtn.setActionCommand("-");
    groupbyPanelLeftArrowBtn.setMinimumSize(new Dimension(89,27));
    groupbyPanel.add(groupbyPanelLeftArrowBtn);
  
    groupbyPanelStartOverBtn = new JButton();
    groupbyPanelStartOverBtn.setLocation(new Point(186,262));
    groupbyPanelStartOverBtn.setSize(new Dimension(100,25));
    groupbyPanelStartOverBtn.setPreferredSize(new Dimension(87,27));
    groupbyPanelStartOverBtn.setMaximumSize(new Dimension(87,27));
    groupbyPanelStartOverBtn.setBounds(new Rectangle(186,262,100,25));
    groupbyPanelStartOverBtn.setText("Start Over");
    groupbyPanelStartOverBtn.setName("groupbyPanelStartOverBtn");
    groupbyPanelStartOverBtn.setActionCommand("S");
    groupbyPanelStartOverBtn.setMinimumSize(new Dimension(87,27));
    groupbyPanel.add(groupbyPanelStartOverBtn);
  
    groupbyPanelQuitBtn = new JButton();
    groupbyPanelQuitBtn.setLocation(new Point(312,262));
    groupbyPanelQuitBtn.setSize(new Dimension(100,25));
    groupbyPanelQuitBtn.setPreferredSize(new Dimension(57,27));
    groupbyPanelQuitBtn.setMaximumSize(new Dimension(57,27));
    groupbyPanelQuitBtn.setBounds(new Rectangle(312,262,100,25));
    groupbyPanelQuitBtn.setText("Quit");
    groupbyPanelQuitBtn.setName("groupbyPanelQuitBtn");
    groupbyPanelQuitBtn.setActionCommand("Q");
    groupbyPanelQuitBtn.setMinimumSize(new Dimension(57,27));
    groupbyPanel.add(groupbyPanelQuitBtn);
  
    jlabel11 = new JLabel();
    jlabel11.setSize(new Dimension(100,25));
    jlabel11.setPreferredSize(new Dimension(82,17));
    jlabel11.setMaximumSize(new Dimension(82,17));
    jlabel11.setMinimumSize(new Dimension(82,17));
    jlabel11.setBounds(new Rectangle(70,15,100,25));
    jlabel11.setText("Fields in report");
    jlabel11.setLocation(new Point(70,15));
    jlabel11.setName("jlabel11");
    jlabel11.setLayout(null);
    groupbyPanel.add(jlabel11);
  
    jlabel12 = new JLabel();
    jlabel12.setSize(new Dimension(100,25));
    jlabel12.setPreferredSize(new Dimension(49,17));
    jlabel12.setMaximumSize(new Dimension(49,17));
    jlabel12.setMinimumSize(new Dimension(49,17));
    jlabel12.setBounds(new Rectangle(440,15,100,25));
    jlabel12.setText("Group by");
    jlabel12.setLocation(new Point(440,15));
    jlabel12.setName("jlabel12");
    jlabel12.setLayout(null);
    groupbyPanel.add(jlabel12);
    
    tabbedPane.addTab("Group By", groupbyPanel);
    tabbedPane.setEnabledAt(5, true);
    tabbedPane.setForegroundAt(5, new Color(0,0,0));
    tabbedPane.setBackgroundAt(5, new Color(192,192,192));
  
    totalsPanel = new JPanel();
    totalsPanel.setVisible(false);
    totalsPanel.setPreferredSize(new Dimension(1,1));
    totalsPanel.setMinimumSize(new Dimension(1,1));
    totalsPanel.setName("totalsPanel");
    totalsPanel.setLayout(null);
  
    totalsPanelGroupsScrollPane = new JScrollPane();
    totalsPanelGroupsScrollPane.setSize(new Dimension(200,200));
    totalsPanelGroupsScrollPane.setBounds(new Rectangle(15,35,200,200));
    totalsPanelGroupsScrollPane.setLocation(new Point(15,35));
    totalsPanelGroupsScrollPane.setName("totalsPanelGroupsScrollPane");
    totalsPanelGroupsScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    totalsPanelGroupsScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    totalsPanel.add(totalsPanelGroupsScrollPane);
  
    totalsPanelTotalsScrollPane = new JScrollPane();
    totalsPanelTotalsScrollPane.setSize(new Dimension(200,200));
    totalsPanelTotalsScrollPane.setBounds(new Rectangle(370,35,200,200));
    totalsPanelTotalsScrollPane.setLocation(new Point(370,35));
    totalsPanelTotalsScrollPane.setName("totalsPanelTotalsScrollPane");
    totalsPanelTotalsScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    totalsPanelTotalsScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    totalsPanel.add(totalsPanelTotalsScrollPane);
  
    totalsPanelStartOverBtn = new JButton();
    totalsPanelStartOverBtn.setLocation(new Point(186,262));
    totalsPanelStartOverBtn.setSize(new Dimension(100,25));
    totalsPanelStartOverBtn.setPreferredSize(new Dimension(87,27));
    totalsPanelStartOverBtn.setMaximumSize(new Dimension(87,27));
    totalsPanelStartOverBtn.setBounds(new Rectangle(186,262,100,25));
    totalsPanelStartOverBtn.setText("Start Over");
    totalsPanelStartOverBtn.setName("totalsPanelStartOverBtn");
    totalsPanelStartOverBtn.setActionCommand("S");
    totalsPanelStartOverBtn.setMinimumSize(new Dimension(87,27));
    totalsPanel.add(totalsPanelStartOverBtn);
  
    totalsPanelQuitBtn = new JButton();
    totalsPanelQuitBtn.setLocation(new Point(312,262));
    totalsPanelQuitBtn.setSize(new Dimension(100,25));
    totalsPanelQuitBtn.setPreferredSize(new Dimension(57,27));
    totalsPanelQuitBtn.setMaximumSize(new Dimension(57,27));
    totalsPanelQuitBtn.setBounds(new Rectangle(312,262,100,25));
    totalsPanelQuitBtn.setText("Quit");
    totalsPanelQuitBtn.setName("totalsPanelQuitBtn");
    totalsPanelQuitBtn.setActionCommand("Q");
    totalsPanelQuitBtn.setMinimumSize(new Dimension(57,27));
    totalsPanel.add(totalsPanelQuitBtn);
  
    jlabel13 = new JLabel();
    jlabel13.setSize(new Dimension(250,25));
    jlabel13.setPreferredSize(new Dimension(202,17));
    jlabel13.setMaximumSize(new Dimension(202,17));
    jlabel13.setMinimumSize(new Dimension(202,17));
    jlabel13.setBounds(new Rectangle(15,15,250,25));
    jlabel13.setText("When group changes--click on group");
    jlabel13.setLocation(new Point(15,15));
    jlabel13.setName("jlabel13");
    jlabel13.setLayout(null);
    totalsPanel.add(jlabel13);
  
    jlabel14 = new JLabel();
    jlabel14.setSize(new Dimension(200,25));
    jlabel14.setPreferredSize(new Dimension(123,17));
    jlabel14.setMaximumSize(new Dimension(123,17));
    jlabel14.setMinimumSize(new Dimension(123,17));
    jlabel14.setBounds(new Rectangle(380,15,200,25));
    jlabel14.setText("Check to total desired column(s)");
    jlabel14.setLocation(new Point(380,15));
    jlabel14.setName("jlabel14");
    jlabel14.setLayout(null);
    totalsPanel.add(jlabel14);
    
    tabbedPane.addTab("Totals", totalsPanel);
    tabbedPane.setEnabledAt(6, true);
    tabbedPane.setForegroundAt(6, new Color(0,0,0));
    tabbedPane.setBackgroundAt(6, new Color(192,192,192));
  
    formatPanel = new JPanel();
    formatPanel.setVisible(false);
    formatPanel.setPreferredSize(new Dimension(1,1));
    formatPanel.setMinimumSize(new Dimension(1,1));
    formatPanel.setName("formatPanel");
    formatPanel.setLayout(null);
  
    formatPanelScrollPane = new JScrollPane();
    formatPanelScrollPane.setSize(new Dimension(525,250));
    formatPanelScrollPane.setBounds(new Rectangle(30,20,525,250));
    formatPanelScrollPane.setLocation(new Point(30,20));
    formatPanelScrollPane.setName("formatPanelScrollPane");
    formatPanelScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    formatPanelScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    formatPanel.add(formatPanelScrollPane);
  
    formatPanelStartOverBtn = new JButton();
    formatPanelStartOverBtn.setLocation(new Point(186,280));
    formatPanelStartOverBtn.setSize(new Dimension(100,25));
    formatPanelStartOverBtn.setPreferredSize(new Dimension(87,27));
    formatPanelStartOverBtn.setMaximumSize(new Dimension(87,27));
    formatPanelStartOverBtn.setBounds(new Rectangle(186,280,100,25));
    formatPanelStartOverBtn.setText("Start Over");
    formatPanelStartOverBtn.setName("formatPanelStartOverBtn");
    formatPanelStartOverBtn.setActionCommand("S");
    formatPanelStartOverBtn.setMinimumSize(new Dimension(87,27));
    formatPanel.add(formatPanelStartOverBtn);
  
    formatPanelQuitBtn = new JButton();
    formatPanelQuitBtn.setLocation(new Point(300,280));
    formatPanelQuitBtn.setSize(new Dimension(100,25));
    formatPanelQuitBtn.setPreferredSize(new Dimension(57,27));
    formatPanelQuitBtn.setMaximumSize(new Dimension(57,27));
    formatPanelQuitBtn.setBounds(new Rectangle(300,280,100,25));
    formatPanelQuitBtn.setText("Quit");
    formatPanelQuitBtn.setName("formatPanelQuitBtn");
    formatPanelQuitBtn.setActionCommand("Q");
    formatPanelQuitBtn.setMinimumSize(new Dimension(57,27));
    formatPanel.add(formatPanelQuitBtn);
    
    tabbedPane.addTab("Format", formatPanel);
    tabbedPane.setEnabledAt(7, true);
    tabbedPane.setForegroundAt(7, new Color(0,0,0));
    tabbedPane.setBackgroundAt(7, new Color(192,192,192));
  
    headingsPanel = new JPanel();
    headingsPanel.setVisible(false);
    headingsPanel.setPreferredSize(new Dimension(1,1));
    headingsPanel.setMinimumSize(new Dimension(1,1));
    headingsPanel.setName("headingsPanel");
    headingsPanel.setLayout(null);
  
    headingsPanelStartOverBtn = new JButton();
    headingsPanelStartOverBtn.setLocation(new Point(150,270));
    headingsPanelStartOverBtn.setSize(new Dimension(100,30));
    headingsPanelStartOverBtn.setPreferredSize(new Dimension(79,27));
    headingsPanelStartOverBtn.setMaximumSize(new Dimension(79,27));
    headingsPanelStartOverBtn.setBounds(new Rectangle(150,270,100,30));
    headingsPanelStartOverBtn.setText("Start Over");
    headingsPanelStartOverBtn.setName("headingsPanelStartOverBtn");
    headingsPanelStartOverBtn.setActionCommand("headingsPanelStartOverBtn");
    headingsPanelStartOverBtn.setMinimumSize(new Dimension(79,27));
    headingsPanel.add(headingsPanelStartOverBtn);
  
    headingsPanelQuitBtn = new JButton();
    headingsPanelQuitBtn.setLocation(new Point(300,270));
    headingsPanelQuitBtn.setSize(new Dimension(100,30));
    headingsPanelQuitBtn.setPreferredSize(new Dimension(79,27));
    headingsPanelQuitBtn.setMaximumSize(new Dimension(79,27));
    headingsPanelQuitBtn.setBounds(new Rectangle(300,270,100,30));
    headingsPanelQuitBtn.setText("Quit");
    headingsPanelQuitBtn.setName("headingsPanelQuitBtn");
    headingsPanelQuitBtn.setActionCommand("headingsPanelQuitBtn");
    headingsPanelQuitBtn.setMinimumSize(new Dimension(79,27));
    headingsPanel.add(headingsPanelQuitBtn);
  
    headingsPanelScrollPane = new JScrollPane();
    headingsPanelScrollPane.setSize(new Dimension(575,250));
    headingsPanelScrollPane.setBounds(new Rectangle(6,5,575,250));
    headingsPanelScrollPane.setLocation(new Point(6,5));
    headingsPanelScrollPane.setName("headingsPanelScrollPane");
    headingsPanelScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    headingsPanelScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    headingsPanel.add(headingsPanelScrollPane);
    
    tabbedPane.addTab("Headings", headingsPanel);
    tabbedPane.setEnabledAt(8, true);
    tabbedPane.setForegroundAt(8, new Color(0,0,0));
    tabbedPane.setBackgroundAt(8, new Color(192,192,192));
  
    generatePanel = new JPanel();
    generatePanel.setVisible(false);
    generatePanel.setPreferredSize(new Dimension(1,1));
    generatePanel.setMinimumSize(new Dimension(1,1));
    generatePanel.setName("generatePanel");
    generatePanel.setLayout(null);
  
    jradiobutton0 = new JRadioButton();
    jradiobutton0.setLocation(new Point(150,80));
    jradiobutton0.setSize(new Dimension(97,25));
    jradiobutton0.setPreferredSize(new Dimension(97,25));
    jradiobutton0.setMaximumSize(new Dimension(97,25));
    jradiobutton0.setBounds(new Rectangle(150,80,97,25));
    jradiobutton0.setText("Text");
    jradiobutton0.setName("jradiobutton0");
    jradiobutton0.setActionCommand("jradiobutton0");
    jradiobutton0.setMinimumSize(new Dimension(97,25));
    generatePanel.add(jradiobutton0);
  
    generatePanelViewBtn = new JButton();
    generatePanelViewBtn.setLocation(new Point(30,170));
    generatePanelViewBtn.setSize(new Dimension(100,30));
    generatePanelViewBtn.setPreferredSize(new Dimension(79,27));
    generatePanelViewBtn.setMaximumSize(new Dimension(79,27));
    generatePanelViewBtn.setBounds(new Rectangle(30,170,100,30));
    generatePanelViewBtn.setText("View");
    generatePanelViewBtn.setName("generatePanelViewBtn");
    generatePanelViewBtn.setActionCommand("outputPanelViewBtn");
    generatePanelViewBtn.setMinimumSize(new Dimension(79,27));
    generatePanel.add(generatePanelViewBtn);
  
    generatePanelDownloadBtn = new JButton();
    generatePanelDownloadBtn.setLocation(new Point(140,170));
    generatePanelDownloadBtn.setSize(new Dimension(100,30));
    generatePanelDownloadBtn.setPreferredSize(new Dimension(79,27));
    generatePanelDownloadBtn.setMaximumSize(new Dimension(79,27));
    generatePanelDownloadBtn.setBounds(new Rectangle(140,170,100,30));
    generatePanelDownloadBtn.setText("Download");
    generatePanelDownloadBtn.setName("generatePanelDownloadBtn");
    generatePanelDownloadBtn.setActionCommand("outputPanelDownloadBtn");
    generatePanelDownloadBtn.setMinimumSize(new Dimension(79,27));
    generatePanel.add(generatePanelDownloadBtn);
  
    generatePanelSaveBtn = new JButton();
    generatePanelSaveBtn.setLocation(new Point(300,170));
    generatePanelSaveBtn.setSize(new Dimension(100,30));
    generatePanelSaveBtn.setPreferredSize(new Dimension(79,27));
    generatePanelSaveBtn.setMaximumSize(new Dimension(79,27));
    generatePanelSaveBtn.setBounds(new Rectangle(300,170,100,30));
    generatePanelSaveBtn.setText("Save ");
    generatePanelSaveBtn.setName("generatePanelSaveBtn");
    generatePanelSaveBtn.setActionCommand("outputPanelSaveBtn");
    generatePanelSaveBtn.setMinimumSize(new Dimension(79,27));
    generatePanel.add(generatePanelSaveBtn);
  
    generatePanelQuitBtn = new JButton();
    generatePanelQuitBtn.setLocation(new Point(312,262));
    generatePanelQuitBtn.setSize(new Dimension(100,30));
    generatePanelQuitBtn.setPreferredSize(new Dimension(79,27));
    generatePanelQuitBtn.setMaximumSize(new Dimension(79,27));
    generatePanelQuitBtn.setBounds(new Rectangle(312,262,100,30));
    generatePanelQuitBtn.setText("Quit");
    generatePanelQuitBtn.setName("generatePanelQuitBtn");
    generatePanelQuitBtn.setActionCommand("outputPanelQuitBtn");
    generatePanelQuitBtn.setMinimumSize(new Dimension(79,27));
    generatePanel.add(generatePanelQuitBtn);
  
    linesPerPage = new JTextField();
    linesPerPage.setLocation(new Point(350,80));
    linesPerPage.setSize(new Dimension(40,25));
    linesPerPage.setBounds(new Rectangle(350,80,40,25));
    linesPerPage.setName("linesPerPage");
    linesPerPage.setLayout(null);
  
    jpasswordfield0 = new JPasswordField();
    jpasswordfield0.setSelectionEnd(15);
    jpasswordfield0.setPreferredSize(new Dimension(109,21));
    jpasswordfield0.setText("jpasswordfield0");
    jpasswordfield0.setName("jpasswordfield0");
    jpasswordfield0.setSelectionStart(15);
    jpasswordfield0.setLayout(null);
    linesPerPage.add(jpasswordfield0);
    generatePanel.add(linesPerPage);
  
    jlabel5 = new JLabel();
    jlabel5.setSize(new Dimension(100,25));
    jlabel5.setPreferredSize(new Dimension(79,17));
    jlabel5.setMaximumSize(new Dimension(79,17));
    jlabel5.setMinimumSize(new Dimension(79,17));
    jlabel5.setBounds(new Rectangle(400,80,100,25));
    jlabel5.setText("lines per page");
    jlabel5.setLocation(new Point(400,80));
    jlabel5.setName("jlabel5");
    jlabel5.setLayout(null);
    generatePanel.add(jlabel5);
  
    generatePanelSaveAsBtn = new JButton();
    generatePanelSaveAsBtn.setLocation(new Point(435,170));
    generatePanelSaveAsBtn.setSize(new Dimension(100,30));
    generatePanelSaveAsBtn.setPreferredSize(new Dimension(79,27));
    generatePanelSaveAsBtn.setMaximumSize(new Dimension(79,27));
    generatePanelSaveAsBtn.setBounds(new Rectangle(435,170,100,30));
    generatePanelSaveAsBtn.setText("Save As");
    generatePanelSaveAsBtn.setName("generatePanelSaveAsBtn");
    generatePanelSaveAsBtn.setActionCommand("S");
    generatePanelSaveAsBtn.setMinimumSize(new Dimension(79,27));
    generatePanel.add(generatePanelSaveAsBtn);
  
    jlabel6 = new JLabel();
    jlabel6.setSize(new Dimension(125,25));
    jlabel6.setPreferredSize(new Dimension(116,17));
    jlabel6.setMaximumSize(new Dimension(116,17));
    jlabel6.setMinimumSize(new Dimension(116,17));
    jlabel6.setBounds(new Rectangle(70,140,125,25));
    jlabel6.setText("----------Output----------");
    jlabel6.setLocation(new Point(70,140));
    jlabel6.setName("jlabel6");
    jlabel6.setLayout(null);
    generatePanel.add(jlabel6);
  
    jlabel7 = new JLabel();
    jlabel7.setSize(new Dimension(125,25));
    jlabel7.setPreferredSize(new Dimension(119,17));
    jlabel7.setMaximumSize(new Dimension(119,17));
    jlabel7.setMinimumSize(new Dimension(119,17));
    jlabel7.setBounds(new Rectangle(370,140,125,25));
    jlabel7.setText("----------Format----------");
    jlabel7.setLocation(new Point(370,140));
    jlabel7.setName("jlabel7");
    jlabel7.setLayout(null);
    generatePanel.add(jlabel7);
  
    generatePanelSaveAsTextField = new JTextField();
    generatePanelSaveAsTextField.setLocation(new Point(380,205));
    generatePanelSaveAsTextField.setSize(new Dimension(200,25));
    generatePanelSaveAsTextField.setBounds(new Rectangle(380,205,200,25));
    generatePanelSaveAsTextField.setName("generatePanelSaveAsTextField");
    generatePanelSaveAsTextField.setLayout(null);
    generatePanel.add(generatePanelSaveAsTextField);
  
    generatePanelStartOverBtn = new JButton();
    generatePanelStartOverBtn.setLocation(new Point(186,262));
    generatePanelStartOverBtn.setSize(new Dimension(100,30));
    generatePanelStartOverBtn.setPreferredSize(new Dimension(87,27));
    generatePanelStartOverBtn.setMaximumSize(new Dimension(87,27));
    generatePanelStartOverBtn.setBounds(new Rectangle(186,262,100,30));
    generatePanelStartOverBtn.setText("Start Over");
    generatePanelStartOverBtn.setName("generatePanelStartOverBtn");
    generatePanelStartOverBtn.setActionCommand("S");
    generatePanelStartOverBtn.setMinimumSize(new Dimension(87,27));
    generatePanel.add(generatePanelStartOverBtn);
  
    generatePanelWorkingLabel = new JLabel();
    generatePanelWorkingLabel.setSize(new Dimension(150,25));
    generatePanelWorkingLabel.setPreferredSize(new Dimension(58,17));
    generatePanelWorkingLabel.setMaximumSize(new Dimension(58,17));
    generatePanelWorkingLabel.setMinimumSize(new Dimension(58,17));
    generatePanelWorkingLabel.setBounds(new Rectangle(100,210,150,25));
    generatePanelWorkingLabel.setText("WORKING");
    generatePanelWorkingLabel.setLocation(new Point(100,210));
    generatePanelWorkingLabel.setName("generatePanelWorkingLabel");
    generatePanelWorkingLabel.setLayout(null);
    generatePanel.add(generatePanelWorkingLabel);
    
    tabbedPane.addTab("Generate", generatePanel);
    tabbedPane.setEnabledAt(9, true);
    tabbedPane.setForegroundAt(9, new Color(0,0,0));
    tabbedPane.setBackgroundAt(9, new Color(192,192,192));
  
    viewPanel = new JPanel();
    viewPanel.setVisible(false);
    viewPanel.setPreferredSize(new Dimension(560,335));
    viewPanel.setMaximumSize(new Dimension(2147483647,2147483647));
    viewPanel.setMinimumSize(new Dimension(34,34));
    viewPanel.setName("viewPanel");
  
    viewPanelScrollPane = new JScrollPane();
    viewPanelScrollPane.setSize(new Dimension(589,345));
    viewPanelScrollPane.setPreferredSize(new Dimension(550,325));
    viewPanelScrollPane.setBounds(new Rectangle(0,0,589,345));
    viewPanelScrollPane.setName("viewPanelScrollPane");
    viewPanelScrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    viewPanelScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
  
  BorderLayout viewPanelLayout = new BorderLayout();
  viewPanel.setLayout(viewPanelLayout);
  viewPanelLayout.setHgap(0);
  viewPanelLayout.setVgap(0);
  viewPanel.add(viewPanelScrollPane, BorderLayout.CENTER);
    
    tabbedPane.addTab("View", viewPanel);
    tabbedPane.setEnabledAt(10, true);
    tabbedPane.setForegroundAt(10, new Color(0,0,0));
    tabbedPane.setBackgroundAt(10, new Color(192,192,192));
  
  thisContent.add(tabbedPane);
  }
  
  
  URL getURL(String txtURL)
  {
    // return a URL object given the URL
    try
    {
      if (txtURL == null)
        return new URL("file://");
      else
        return new URL(txtURL);
    }
    catch(MalformedURLException mue)
    {
      return null;
    }
  }
  
  
  public String[][] getIconPathForComponent(Component comp, String methodName)
  {
    // return an Icon path(s) for a given Component/Method
    {
      String[][] rval = {{null}};
      return rval;
    }
  }
  
  
  private String getReference(String[][] references, String methodName)
  {
    for (int i = 0; i < references.length; i++)
      if (references[i][0] == methodName)
        return references[i][1];
    return null;
  }

}
